          Return the type of the crate as a string.

get_crate_type(crate)

Argument
Description
crate
A Crate object such as a TABLECrate or IMAGECrate

The get_crate_type command returns the type of the input crate as a string.

>>> tbl = read_file("evt2.fits")
>>> print(get_crate_type(tbl))
Table
>>> img = read_file("image.fits")
>>> print(get_crate_type(img))
Image

See the bug pages on the CIAO website for an up-to-date listing of known bugs.

December 2013